import { readLogoSizing } from "./readLogoSizing.js";
async function readLogo(getReadme) {
  const tag = /\n<img.+src=.+>/.exec(await getReadme())?.[0];
  if (!tag) {
    return void 0;
  }
  const alt = /alt=['"](.+)['"]\s*src=/.exec(tag)?.[1].split(/['"]?\s*\w+=/)[0] ?? "Project logo";
  if (/All Contributors: \d+/.test(alt)) {
    return void 0;
  }
  const src = /src\s*=(.+)['"/]>/.exec(tag)?.[1]?.split(/\s*\w+=/)[0].replaceAll(/^['"]|['"]$/g, "");
  if (!src || src.includes("//img.shields.io")) {
    return void 0;
  }
  return {
    alt,
    src,
    ...readLogoSizing(src)
  };
}
export {
  readLogo
};
